LibreOffice LibreOffice 4.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Typedefs | Enumerations
typeclass.h File Reference
`#include <sal/types.h>`

Go to the source code of this file.

## Typedefs
typedef enum _typelib_TypeClass | typelib_TypeClass
| This type class enum is binary compatible with the IDL enum com.sun.star.uno.TypeClass. More...

## Enumerations
enum | _typelib_TypeClass { typelib_TypeClass_VOID = 0, typelib_TypeClass_CHAR = 1, typelib_TypeClass_BOOLEAN = 2, typelib_TypeClass_BYTE = 3, typelib_TypeClass_SHORT = 4, typelib_TypeClass_UNSIGNED_SHORT = 5, typelib_TypeClass_LONG = 6, typelib_TypeClass_UNSIGNED_LONG = 7, typelib_TypeClass_HYPER = 8, typelib_TypeClass_UNSIGNED_HYPER = 9, typelib_TypeClass_FLOAT = 10, typelib_TypeClass_DOUBLE = 11, typelib_TypeClass_STRING = 12, typelib_TypeClass_TYPE = 13, typelib_TypeClass_ANY = 14, typelib_TypeClass_ENUM = 15, typelib_TypeClass_TYPEDEF = 16, typelib_TypeClass_STRUCT = 17, typelib_TypeClass_UNION = 18, typelib_TypeClass_EXCEPTION = 19, typelib_TypeClass_SEQUENCE = 20, typelib_TypeClass_ARRAY = 21, typelib_TypeClass_INTERFACE = 22, typelib_TypeClass_SERVICE = 23, typelib_TypeClass_MODULE = 24, typelib_TypeClass_INTERFACE_METHOD = 25, typelib_TypeClass_INTERFACE_ATTRIBUTE = 26, typelib_TypeClass_UNKNOWN = 27, typelib_TypeClass_PROPERTY = 28, typelib_TypeClass_CONSTANT = 29, typelib_TypeClass_CONSTANTS = 30, typelib_TypeClass_SINGLETON = 31, typelib_TypeClass_MAKE_FIXED_SIZE = SAL_MAX_ENUM }
| This type class enum is binary compatible with the IDL enum com.sun.star.uno.TypeClass. More...

## Typedef Documentation

typedef enum _typelib_TypeClass typelib_TypeClass

This type class enum is binary compatible with the IDL enum com.sun.star.uno.TypeClass.

## Enumeration Type Documentation

enum _typelib_TypeClass

This type class enum is binary compatible with the IDL enum com.sun.star.uno.TypeClass.

Enumerator
typelib_TypeClass_VOID | type class of void
typelib_TypeClass_CHAR | type class of char
typelib_TypeClass_BOOLEAN | type class of boolean
typelib_TypeClass_BYTE | type class of byte
typelib_TypeClass_SHORT | type class of short
typelib_TypeClass_UNSIGNED_SHORT | type class of unsigned short
typelib_TypeClass_LONG | type class of long
typelib_TypeClass_UNSIGNED_LONG | type class of unsigned long
typelib_TypeClass_HYPER | type class of hyper
typelib_TypeClass_UNSIGNED_HYPER | type class of unsigned hyper
typelib_TypeClass_FLOAT | type class of float
typelib_TypeClass_DOUBLE | type class of double
typelib_TypeClass_STRING | type class of string
typelib_TypeClass_TYPE | type class of type
typelib_TypeClass_ANY | type class of any
typelib_TypeClass_ENUM | type class of enum
typelib_TypeClass_TYPEDEF | type class of typedef
typelib_TypeClass_STRUCT | type class of struct
typelib_TypeClass_UNION | type class of union (not implemented)
typelib_TypeClass_EXCEPTION | type class of exception
typelib_TypeClass_SEQUENCE | type class of sequence
typelib_TypeClass_ARRAY | type class of array (not implemented)
typelib_TypeClass_INTERFACE | type class of interface
typelib_TypeClass_SERVICE | type class of service (not implemented)
typelib_TypeClass_MODULE | type class of module (not implemented)
typelib_TypeClass_INTERFACE_METHOD | type class of interface method
typelib_TypeClass_INTERFACE_ATTRIBUTE | type class of interface attribute
typelib_TypeClass_UNKNOWN | type class of unknown type
typelib_TypeClass_PROPERTY | type class of properties
typelib_TypeClass_CONSTANT | type class of constants
typelib_TypeClass_CONSTANTS | type class of constants groups
typelib_TypeClass_SINGLETON | type class of singletons
typelib_TypeClass_MAKE_FIXED_SIZE | fixing enum size